%TXTREAD Read text file
% 
% 	A = TXTREAD(FILENAME,N)
% 
% INPUT
%   FILENAME  Name of delimited ASCII file
%   N         Number of elements to be read
%  
% OUTPUT
%   A         String
% 
% DESCRIPTION
% Reads the total file as text string into A

% Copyright: R.P.W. Duin, r.p.w.duin@prtools.org
% Faculty EWI, Delft University of Technology
% P.O. Box 5031, 2600 GA Delft, The Netherlands

function a = txtread(file,n)

	if nargin < 2, n = inf; end

	fid = fopen(file);
	if (fid < 0)
		error('Error in opening file.')
	end
	a = fscanf(fid,'%c',n);
	fclose(fid);
	
return